Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	dvd::rip is a full featured DVD copy program written in Perl
Name:		dvdrip
Version:	0.98.8
Release:	4
Group:		Video
License:	GPL
URL:		http://www.exit1.org/dvdrip/
Source:		%{name}-%{version}.tar.gz
Source1:	dvdrip.desktop
Patch0:		dvdrip-transcode-update.patch
Patch1:		dvdrip-new-ffmpeg.patch
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildRequires:	perl vcdimager-devel ImageMagick-devel procps perl-Event perl-libintl perl-Gtk2 
BuildRequires:	perl-Cairo perl-Glib perl-Event-ExecFlow perl-Gtk2-Ex-FormFactory perl-Event-RPC
Requires:	perl vcdimager cdrdao wodim genisoimage icedax transcode ImageMagick
Requires:	procps perl-Event perl-libintl ogmtools mjpegtools eject
Requires:	subtitleripper lsdvd xvid4conf
Provides:	perl(Video::DVDRip::GUI::CheckedEntry)

%description
dvd::rip is a full featured DVD copy program written in Perl.
It provides an easy to use but feature-rich Gtk+ GUI to control
almost all aspects of the ripping and transcoding process. It
uses the widely known video processing swissknife transcode and
many other Open Source tools.

%prep
%setup -n %{name}-%{version} -q
%patch0
# solve version detecting problem with ffmpeg
%patch1

%build
perl Makefile.PL
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%_libdir/perl5/5.*/*/perllocal.pod
install -m 755 -d ${RPM_BUILD_ROOT}%_datadir/applications
install -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%_datadir/applications

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST Changes TODO
%_bindir
%_libdir
%_mandir
%_datadir/applications

%changelog
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.98.8-4
- rebuilt against ImageMagick 6.3.9.3
* Thu Jan 03 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.98.8-3
- Rebuild against perl 5.10.0
- added ffmpeg version detecting patch
* Mon Oct 15 2007 Christian Metzen <metzench@ccux-linux.de> 0.98.8-2
- rebuilt against cdrkit
* Fri Aug 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.98.8-1
- version update
* Sat Mar 24 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.98.4-1
- version update
* Sat Mar 10 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.98.3-1
- version update
* Sun Nov 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.98.2-1
- version update
* Fri Sep 15 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.98.1-3
- Patch vor using transcode newer than 1.0.99
* Fri Sep 15 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.98.1-2
- Change BuildRequires
- Make some missing perl-modules to extern perl modules
* Fri Aug 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.98.1-1
- version update
* Sat Dec 24 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.52.6-1
- Version Update
* Fri May 27 2005 Christian Metzen <metzench@ccux-linux.de> 0.52.5-3
- Removed perl-Storable from Dependencies
* Mon May 23 2005 Christian Metzen <metzench@ccux-linux.de> 0.52.5-2
- Added URL
* Mon May 23 2005 Christian Metzen <metzench@ccux-linux.de> 0.52.5-1
- Added .desktop File, Version update to 0.52.5
* Sat May 21 2005 Christian Metzen <metzench@ccux-linux.de> 0.52.0-2
- Tweaked Spec file, added new Summary, URL
* Sat Mar 26 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.52.0-1
- Initial Build
